using FluentValidation;

namespace CMSMicroservice.Application.BlogPostImageCQ.Commands.AddBlogPostImage;

public class AddBlogPostImageCommandValidator : AbstractValidator<AddBlogPostImageCommand>
{
    public AddBlogPostImageCommandValidator()
    {
        RuleFor(x => x.BlogPostId)
            .GreaterThan(0).WithMessage("شناسه پست نامعتبر است");

        RuleFor(x => x.ImagePath)
            .NotEmpty().WithMessage("مسیر تصویر الزامی است");

        RuleFor(x => x.AltText)
            .MaximumLength(500).WithMessage("متن جایگزین حداکثر ۵۰۰ کاراکتر");

        RuleFor(x => x.Caption)
            .MaximumLength(1000).WithMessage("عنوان تصویر حداکثر ۱۰۰۰ کاراکتر");
    }
}
